import { type Eventmitter } from 'eventmit';
import { EventmitterValueType } from './types';
type EventmitFactory = (key: string, forceNew?: boolean) => Eventmitter<EventmitterValueType>;
declare global {
    const $nuxtUnityEvent: EventmitFactory;
}
export declare module '#app' {
    interface NuxtApp {
        $nuxtUnityEvent: EventmitFactory;
        $nuxtUnityRefresh: () => void;
    }
}
declare module 'vue' {
    interface ComponentCustomProperties {
        $nuxtUnityEvent: EventmitFactory;
        $nuxtUnityRefresh: () => void;
    }
}
declare module '@vue/runtime-core' {
    interface ComponentCustomProperties {
        $nuxtUnityEvent: EventmitFactory;
        $nuxtUnityRefresh: () => void;
    }
}
declare const _default: any;
export default _default;
